package org.colinvella.fancyfish.entity.renderer;

import org.colinvella.fancyfish.entity.fish.FishEntity;

import net.minecraft.client.model.ModelBase;
import net.minecraft.client.renderer.entity.RenderLiving;
import net.minecraft.client.renderer.entity.RenderManager;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.util.ResourceLocation;

public class FishRenderer extends RenderLiving
{
	public FishRenderer(RenderManager renderManager, ModelBase modelBase, FishEntity.Species species) 
	{
		super(renderManager, modelBase, 0.1f);
		
		String textureUrl = "fancyfish:textures/entity/fish/" + species + ".png";
		this.fishTexture = new ResourceLocation(textureUrl);
	}
	
    @Override
    protected void preRenderCallback(EntityLivingBase entity, float partialTickTime)
    {
        // some people do some G11 transformations or blends here, like you can do
        // GL11.glScalef(2F, 2F, 2F); to scale up the entity
        // which is used for Slime entities.  I suggest having the entity cast to
        // your custom type to make it easier to access fields from your 
        // custom entity, eg. GL11.glScalef(entity.scaleFactor, entity.scaleFactor, 
        // entity.scaleFactor); 
    }

	@Override
	protected ResourceLocation getEntityTexture(Entity entity)
	{
		return fishTexture;
	}
		
	private ResourceLocation fishTexture;

}
