package org.colinvella.fancyfish.gui;

import org.colinvella.fancyfish.inventory.FishTankContainer;
import org.colinvella.fancyfish.inventory.TeleportContainer;
import org.colinvella.fancyfish.tileentity.FishTankTileEntity;
import org.colinvella.fancyfish.tileentity.TeleportTileEntity;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.BlockPos;
import net.minecraft.world.World;
import net.minecraftforge.fml.common.network.IGuiHandler;

public class ModGuiHandler implements IGuiHandler
{
    @Override
    public Object getServerGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z)
    {
    	TileEntity tileEntity = world.getTileEntity(new BlockPos(x, y, z));
    	if (tileEntity == null)
    		return null;
    	
    	if (tileEntity instanceof FishTankTileEntity)
    		return new FishTankContainer(player.inventory, (FishTankTileEntity) tileEntity);
    	else if (tileEntity instanceof TeleportTileEntity)
    		return new TeleportContainer(player.inventory, (TeleportTileEntity) tileEntity);
    	else
    		return null;
    }

    @Override
    public Object getClientGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z)
    {
    	TileEntity tileEntity = world.getTileEntity(new BlockPos(x, y, z));
    	if (tileEntity == null)
    		return null;
    	
    	if (tileEntity instanceof FishTankTileEntity)
    		return new FishTankGuiContainer(player.inventory, (FishTankTileEntity) tileEntity);
    	else if (tileEntity instanceof TeleportTileEntity)
    		return new TeleportGuiContainer(player.inventory, (TeleportTileEntity) tileEntity);
    	else
    		return null;
    }

}