package org.colinvella.fancyfish.inventory;

import org.colinvella.fancyfish.tileentity.ModInventoryTileEntity;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.IInventory;
import net.minecraft.inventory.Slot;
import net.minecraft.item.ItemStack;

public class TeleportContainer extends ModContainer
{

	public TeleportContainer(IInventory playerInventory, ModInventoryTileEntity modInventoryTileEntity)
	{
		super(playerInventory, modInventoryTileEntity);

		
        // teleport inventory slot 0 -> container slot index 0
		int slotX = 80;
		int slotY = 37;
        this.addSlotToContainer(new FishScaleSlot(this.modInventoryTileEntity, 0, slotX, slotY));

        // player inventory main slots 9-35 -> container slot indices 9-35
        slotY = 90;
		int slotIndex = 9;
        for (int row = 0; row < 3; row++, slotY += 18)
        {
        	slotX = 8;
            for (int column = 0; column < 9; column++, slotX += 18)
            {
                this.addSlotToContainer(new Slot(playerInventory, slotIndex++, slotX, slotY));
            }
        }

        // player inventory hotbar slots 0-8 -> container slot indices 36-44
        slotY = 148;
        slotX = 8;
        slotIndex = 0; // not sure why i need to reset this
        for (int column = 0; column < 9; column++, slotX += 18)
        {
            this.addSlotToContainer(new Slot(playerInventory, slotIndex++, slotX, slotY));
        }
	}

	// this method handles shift-clicking stacks - returning null to disable it
	// and avoid crashes
	@Override
	public ItemStack transferStackInSlot(EntityPlayer player, int index)
	{
		return null;
	}
}
